%define name    kdissert
%define version 0.3.0
%define release 1mdk

Summary:        Mindmapping tool for creating texts
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL
Group:          Utilities
URL:            http://freehackers.org/~tnagy/kdissert/index.html
Source0:        http://freehackers.org/~tnagy/kdissert/%name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  kdelibs-devel 

%description
Mindmapping tool for helping students to create texts like dissertations, reports and thesis

%prep
#rm -rf $RPM_BUILD_ROOT
%setup -a 0

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix="$RPM_BUILD_ROOT"%{_prefix}
make

%install
make ROOT="$RPM_BUILD_ROOT" prefix="$RPM_BUILD_ROOT"%{_prefix} install

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
title="%{name}"\
longtitle="Mindmapping tool"\
needs="KDE"\
section="Applications/Utilities"\
icon="%{name}.png"
EOF

%clean
rm -rf $RPM_BUILD_ROOT 

%post
ldconfig %{_prefix}/lib
%{update_menus}


%postun
ldconfig %{_prefix}/lib
%{clean_menus}

%files
%defattr(-,root,root,0755)
%doc COPYING README AUTHORS
%{_prefix}/share/apps/kdissert/kdissertui.rc
%{_prefix}/share/apps/kdissert/tips
%{_prefix}/share/apps/kdissert/pics/nopix.png
%{_prefix}/share/apps/kdissert/templatedata/kdissasciidoc.tar.gz
%{_prefix}/share/apps/kdissert/templatedata/kdissbeamerslides.tar.gz
%{_prefix}/share/apps/kdissert/templatedata/kdisshtmldoc.tar.gz
%{_prefix}/share/apps/kdissert/templatedata/kdissOOOdoc.tar.gz
%{_prefix}/share/apps/kdissert/templatedata/kdisspdflatexarticle.tar.gz
%{_prefix}/share/apps/kdissert/templatedata/kdisspdflatexbook.tar.gz
%{_prefix}/share/apps/kdissert/templatedata/kdissprosperslides.tar.gz
%{_prefix}/share/config.kcfg/kdissert.kcfg
%{_prefix}/share/applications/kde/kdissert.desktop
%{_prefix}/share/mimelnk/application/x-kdissert.desktop
%{_prefix}/share/applnk/Utilities/kdissert.desktop
%{_prefix}/share/icons/hicolor/16x16/apps/kdissert.png
%{_prefix}/share/icons/hicolor/32x32/apps/kdissert.png
%{_prefix}/share/icons/hicolor/64x64/apps/kdissert.png
%{_prefix}/share/icons/hicolor/128x128/apps/kdissert.png
%{_prefix}/share/icons/crystalsvg/16x16/actions/kdissert_sort.png
%{_prefix}/share/icons/crystalsvg/16x16/actions/kdissert_point.png
%{_prefix}/share/icons/crystalsvg/16x16/actions/kdissert_link.png
%{_prefix}/share/icons/crystalsvg/22x22/actions/kdissert_sort.png
%{_prefix}/share/icons/crystalsvg/22x22/actions/kdissert_point.png
%{_prefix}/share/icons/crystalsvg/22x22/actions/kdissert_link.png
%{_prefix}/share/icons/crystalsvg/32x32/actions/kdissert_sort.png
%{_prefix}/share/icons/crystalsvg/32x32/actions/kdissert_point.png
%{_prefix}/share/icons/crystalsvg/32x32/actions/kdissert_link.png
%{_prefix}/share/icons/crystalsvg/64x64/actions/kdissert_sort.png
%{_prefix}/share/icons/crystalsvg/128x128/actions/kdissert_sort.png
%{_prefix}/share/locale/nl/LC_MESSAGES/kdissert.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/kdissert.mo
%{_prefix}/share/locale/de/LC_MESSAGES/kdissert.mo
%{_prefix}/share/locale/no/LC_MESSAGES/kdissert.mo
%{_prefix}/share/doc/HTML/en/kdissert/index.docbook
%{_prefix}/share/doc/HTML/en/kdissert/screenshot.png
%{_prefix}/share/doc/HTML/en/kdissert/index.cache.bz2
%{_prefix}/bin/kdissert
%{_prefix}/lib/kde3/libkdissasciidoc.so
%{_prefix}/lib/kde3/libkdissasciidoc.la
%{_prefix}/lib/kde3/libkdissasciidoc.a
%{_prefix}/lib/kde3/libkdissbeamerslides.so
%{_prefix}/lib/kde3/libkdissbeamerslides.la
%{_prefix}/lib/kde3/libkdissbeamerslides.a
%{_prefix}/lib/kde3/libkdisshtmldoc.so
%{_prefix}/lib/kde3/libkdisshtmldoc.la
%{_prefix}/lib/kde3/libkdisshtmldoc.a
%{_prefix}/lib/kde3/libkdissOOOdoc.so
%{_prefix}/lib/kde3/libkdissOOOdoc.la
%{_prefix}/lib/kde3/libkdissOOOdoc.a
%{_prefix}/lib/kde3/libkdisspdflatexarticle.so
%{_prefix}/lib/kde3/libkdisspdflatexarticle.la
%{_prefix}/lib/kde3/libkdisspdflatexarticle.a
%{_prefix}/lib/kde3/libkdisspdflatexbook.so
%{_prefix}/lib/kde3/libkdisspdflatexbook.la
%{_prefix}/lib/kde3/libkdisspdflatexbook.a
%{_prefix}/lib/kde3/libkdissprosperslides.so
%{_prefix}/lib/kde3/libkdissprosperslides.la
%{_prefix}/lib/kde3/libkdissprosperslides.a
%{_prefix}/lib/menu/kdissert
%{_prefix}/share/doc/HTML/en/kdissert/common

%changelog
* Tue Nov 23 2004 Bhautik Joshi <bhautik.joshiDONOTSPAM@csiro.au> 0.3.0-1mdk

* Sun Jun 11 2004 Thomas Nagy <tnagy2^8@yahoo.fr> 0.2.5-1mdk

* Sun Jun 20 2004 Thomas Nagy <tnagy2^8@yahoo.fr> 0.2.3-1mdk

* Thu Jun 3 2004 Thomas Nagy <tnagy2^8@yahoo.fr> 0.2.2-1mdk
first rpm build

